Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class MoveSourceIsTargetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.MoveSourceIsTargetException

All Implemented Interfaces
  Serializable

    public class MoveSourceIsTargetException

extends CollaborationException

Exception class that means that an item was moved to itself.

See Also
  Serialized Form

Constructor Summary
`MoveSourceIsTargetException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an MoveSourceIsTargetException.
`MoveSourceIsTargetException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs an MoveSourceIsTargetException.
`MoveSourceIsTargetException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs an MoveSourceIsTargetException.
`MoveSourceIsTargetException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)` Constructs an MoveSourceIsTargetException.

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoveSourceIsTargetException

    public MoveSourceIsTargetException(com.compoze.collab.spi.Context ctx,
                                       com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an MoveSourceIsTargetException.

  Parameters
    `ctx` -
    `key` -

### MoveSourceIsTargetException

    public MoveSourceIsTargetException(com.compoze.collab.spi.Context ctx,
                                       com.compoze.collab.spi.ExceptionResourceKey key,
                                       Object param)

  Constructs an MoveSourceIsTargetException.

  Parameters
    `ctx` -
    `key` -
    `param` -

### MoveSourceIsTargetException

    public MoveSourceIsTargetException(Throwable t,
                                       com.compoze.collab.spi.Context ctx,
                                       com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs an MoveSourceIsTargetException.

  Parameters
    `t` -
    `ctx` -
    `key` -

### MoveSourceIsTargetException

    public MoveSourceIsTargetException(Throwable t,
                                       com.compoze.collab.spi.Context ctx,
                                       com.compoze.collab.spi.ExceptionResourceKey key,
                                       Object param)

  Constructs an MoveSourceIsTargetException.

  Parameters
    `t` -
    `ctx` -
    `key` -
    `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved